#!/bin/sh
#
# $Copyright: Copyright (c) 2016 Veritas Technologies LLC.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# VERITAS TECHNOLOGIES LLC.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF VERITAS TECHNOLOGIES LLC.
#
# The  Licensed  Software  and  Documentation  are  deemed  to be commercial
# computer  software  as  defined  in  FAR  12.212 and subject to restricted
# rights  as  defined in FAR Section 52.227-19 "Commercial Computer Software
# - Restricted  Rights"  and  DFARS 227.7202,  et seq.  "Commercial Computer
# Software  and  Commercial Computer Software Documentation," as applicable,
# and any successor regulations, whether delivered by Veritas as on premises
# or  hosted  services.  Any  use,  modification,  reproduction  release,
# performance,  display  or  disclosure  of  the  Licensed  Software  and
# Documentation by the U.S. Government shall be solely in accordance with
# the terms of this Agreement. $
# $Revision$
# $Source$
#

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -makerw
fi

${VCSHOME}/bin/hatype -add MirrorView
${VCSHOME}/bin/hatype -modify MirrorView SupportedActions resync PreSwitch addArrayUser
${VCSHOME}/bin/hatype -modify MirrorView MonitorInterval 300
${VCSHOME}/bin/hatype -modify MirrorView NumThreads 1
${VCSHOME}/bin/hatype -modify MirrorView OpenTimeout 180
${VCSHOME}/bin/hatype -modify MirrorView ArgList NaviCliHome LocalArraySPNames RemoteArraySPNames Mode GrpName MirNames SplitTakeover LocalArraySecurityFilePath RemoteArraySecurityFilePath
os=`uname -s`;
if [ "X$os" = "XAIX" ]
then
    ${VCSHOME}/bin/haattr -add MirrorView NaviCliHome -string "/usr/lpp/NAVICLI/"
else
    ${VCSHOME}/bin/haattr -add MirrorView NaviCliHome -string "/opt/Navisphere/bin"
fi
${VCSHOME}/bin/haattr -add MirrorView LocalArraySPNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView RemoteArraySPNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView Mode -string
${VCSHOME}/bin/haattr -add MirrorView GrpName -string
${VCSHOME}/bin/haattr -add MirrorView MirNames -string -vector
${VCSHOME}/bin/haattr -add MirrorView SplitTakeover -boolean 0
${VCSHOME}/bin/haattr -add MirrorView LocalArraySecurityFilePath -string
${VCSHOME}/bin/haattr -add MirrorView RemoteArraySecurityFilePath -string
${VCSHOME}/bin/haattr -add -temp MirrorView VCSResLock -string

${VCSHOME}/bin/hatype -add MirrorViewSnap
${VCSHOME}/bin/hatype -modify MirrorViewSnap SupportedActions devscan
${VCSHOME}/bin/hatype -modify MirrorViewSnap ArgList StorageGrpName TargetResName
${VCSHOME}/bin/hatype -modify MirrorViewSnap MonitorInterval 300
${VCSHOME}/bin/hatype -modify MirrorViewSnap OpenTimeout 180
${VCSHOME}/bin/hatype -modify MirrorViewSnap NumThreads 1
${VCSHOME}/bin/hatype -modify MirrorViewSnap OnlineTimeout 600
${VCSHOME}/bin/hatype -modify MirrorViewSnap RestartLimit 1
${VCSHOME}/bin/haattr -add MirrorViewSnap StorageGrpName -string
${VCSHOME}/bin/haattr -add MirrorViewSnap TargetResName -string
${VCSHOME}/bin/haattr -add -temp MirrorViewSnap Responsibility -string
${VCSHOME}/bin/haattr -add -temp MirrorViewSnap VCSResLock -string 2>/dev/null

${VCSHOME}/bin/hatype -modify MirrorViewSnap SupportedActions devscan 2>/dev/null

${VCSHOME}/bin/hatype -modify  CVMVolDg SupportedActions -add import 2>/dev/null
${VCSHOME}/bin/hatype -modify  CVMVolDg SupportedActions -add deport 2>/dev/null

if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi
